Debian Bug report logs - #587727
please add /etc/extlinux.d for extlinux-update

version graph

Package: syslinux; Maintainer for syslinux is Daniel Baumann <mail@daniel-baumann.ch>; Source for syslinux is src:syslinux.

Reported by: Fabian Greffrath <fabian@greffrath.com>

Date: Thu, 1 Jul 2010 08:21:02 UTC

Severity: wishlist

Tags: help

Found in version syslinux/2:4.00+dfsg-1

Fixed in version 3:6.00~pre4+dfsg-6

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#587727; Package syslinux. (Thu, 01 Jul 2010 08:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
New Bug report received and forwarded. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Thu, 01 Jul 2010 08:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: syslinux: please add support for other boot options than local linux kernels to extlinux-update
Date: Thu, 01 Jul 2010 10:20:02 +0200
Package: syslinux
Version: 2:4.00+dfsg-1
Severity: minor

Hi again,

I'd like to see support for other boot options than linux kernels in local
/boot in extlinux-upgrade. It seems to me that currently support for at least
memtets86+ can be added by means of a specific syslinux-theme, but I think in
the long term a more generic support is required - think of grub2's /etc/grub.d
mechanism. Automatic detection and addition of images like memtest86, grub-
invaders or maybe even chainloadable boot loaders of foreign OSes (via os-
prober) would be highly appreciated.

Cheers,
Fabian



-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (550, 'unstable'), (400, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages syslinux depends on:
ii  libc6                      2.11.2-2      Embedded GNU C Library: Shared lib
ii  syslinux-common            2:4.00+dfsg-1 Kernel loaders for FAT, ext2/3/4, 

Versions of packages syslinux recommends:
ii  dosfstools                    3.0.9-1    utilities for making and checking 
ii  mtools                        4.0.12-1   Tools for manipulating MSDOS files

syslinux suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#587727; Package syslinux. (Thu, 01 Jul 2010 13:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Thu, 01 Jul 2010 13:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 587727@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 587727@bugs.debian.org
Subject: Re: Bug#587727: syslinux: please add support for other boot options than local linux kernels to extlinux-update
Date: Thu, 01 Jul 2010 15:13:24 +0200
retitle 587727 improving extlinux update scripts
severity 587727 wishlist
forcemerge 587727 573042
thanks

On 07/01/2010 10:20 AM, Fabian Greffrath wrote:
> I'd like to see support for other boot options than linux kernels in local
> /boot in extlinux-upgrade. It seems to me that currently support for at least
> memtets86+ can be added by means of a specific syslinux-theme, but I think in
> the long term a more generic support is required - think of grub2's /etc/grub.d
> mechanism. Automatic detection and addition of images like memtest86, grub-
> invaders or maybe even chainloadable boot loaders of foreign OSes (via os-
> prober) would be highly appreciated.

as said in 573042, patches or concrete specifications how things should
be handled and just need to be implemented, are welcome.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Changed Bug title to 'improving extlinux update scripts' from 'syslinux: please add support for other boot options than local linux kernels to extlinux-update' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 01 Jul 2010 13:15:06 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'minor' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 01 Jul 2010 13:15:07 GMT) Full text and rfc822 format available.

Added tag(s) help. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 01 Jul 2010 13:18:02 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 01 Jul 2010 13:18:03 GMT) Full text and rfc822 format available.

Forcibly Merged 573042 587727. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 01 Jul 2010 13:27:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#587727; Package syslinux. (Thu, 01 Jul 2010 14:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Thu, 01 Jul 2010 14:51:08 GMT) Full text and rfc822 format available.

Message #25 received at 587727@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: daniel@debian.org
Cc: 587727@bugs.debian.org
Subject: Re: Bug#587727: syslinux: please add support for other boot options than local linux kernels to extlinux-update
Date: Thu, 01 Jul 2010 16:51:17 +0200
Am 01.07.2010 15:13, schrieb Daniel Baumann:
> as said in 573042, patches or concrete specifications how things should
> be handled and just need to be implemented, are welcome.

At the moment it's more like an idea, roughly based on GRUB2's 
/etc/grub.d mechanism:

The extlinux-update script should be split into several parts that 
reside in /etc/extlinux.d. That is, extlinux-update will have to get 
modified to merely call the scripts in /etc/extlinux.d in lexical 
order. Something like

for i in $(ls -1 /etc/extlinux.d | sort -u) ; do
if [ -x $i] ; then sh $i ; fi
done

The first ~116 lines of extlinux-update, that handle the regeneration 
of /etc/default/extlinux, could go into e.g. 
/etc/extlinux.d/05_default. The next lines up to ~213, which handle 
the creation of /boot/extlinux/linux.cfg, could go into e.g. 
/etc/extlinux.d/10_linux. Etc.

Other kernel images could then drop a script e.g. 
/etc/extlinux.d/20_memtest86+ (which could also be provided by 
extlinux itself for the time being), which checks for the existance of 
the corresponding image (e.g. /boot/memtest86+.bin) and creates a file 
like /boot/extlinux/memtest86+.cfg pointing to the appropriate image 
file location and finally leaves a line in 
/boot/extlinux/extlinux.conf to include /boot/extlinux/memtest86+.cfg.

Themes would be no different, as they could also drop a script e.g. 
/etc/extlinux.d/06_theme-debian-squeeze which sets background image 
and colours and then take care they get included from 
/boot/extlinux/extlinux.conf.

How do you like this idea, did I miss something?

 - Fabian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#587727; Package syslinux. (Fri, 02 Jul 2010 08:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Fri, 02 Jul 2010 08:33:04 GMT) Full text and rfc822 format available.

Message #30 received at 587727@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: daniel@debian.org
Cc: 587727@bugs.debian.org
Subject: Re: Bug#587727: syslinux: please add support for other boot options than local linux kernels to extlinux-update
Date: Fri, 02 Jul 2010 10:32:46 +0200
Am 01.07.2010 15:13, schrieb Daniel Baumann:
> as said in 573042, patches or concrete specifications how things should
> be handled and just need to be implemented, are welcome.

OK, maybe my previous proposal from yesterday threw out the baby with 
the bath water. I don't think it is striclty necessary to completely 
remanufacture the current extlinux-update script.

But at some point, maybe after the generation of linux.cfg, it should 
be possible to hook in via scripts that reside in a specific 
directory. I also like the idea that scripts prefixed with e.g. 1[0-9] 
are treated as primary kernels and put their entries into the main 
menu, while scripts with higher prefixes put their entries into the 
Other sub-menu.

I admit, I am a bit puzzled at the moment (it's already about 25°C in 
the office), but I'd be happy do discuss this proposal with you.

 - Fabian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#587727; Package syslinux. (Mon, 05 Jul 2010 22:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Mon, 05 Jul 2010 22:45:03 GMT) Full text and rfc822 format available.

Message #35 received at 587727@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 587727@bugs.debian.org
Subject: Re: Bug#587727: syslinux: please add support for other boot options than local linux kernels to extlinux-update
Date: Tue, 06 Jul 2010 00:42:28 +0200
On 07/01/2010 04:51 PM, Fabian Greffrath wrote:
> How do you like this idea, did I miss something?

sounds mostly fine, i'll have a look to implement that. there are a
couple of things to consider on the way, so it could take some days,
once i've something ready, i'll ping you again, so you can test
snapshots from syslinux.d-m.o.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#587727; Package syslinux. (Tue, 06 Jul 2010 07:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Tue, 06 Jul 2010 07:39:10 GMT) Full text and rfc822 format available.

Message #40 received at 587727@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: daniel@debian.org
Cc: 587727@bugs.debian.org
Subject: Re: Bug#587727: syslinux: please add support for other boot options than local linux kernels to extlinux-update
Date: Tue, 06 Jul 2010 09:34:59 +0200
> sounds mostly fine, i'll have a look to implement that. there are a
> couple of things to consider on the way, so it could take some days,
> once i've something ready, i'll ping you again, so you can test
> snapshots from syslinux.d-m.o.

Fine, I am also working on a rewrite of extlinux-update for some days 
now. Let's see who finishes first and then compare our results. ;)

 - Fabian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#587727; Package syslinux. (Tue, 06 Jul 2010 09:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Tue, 06 Jul 2010 09:21:03 GMT) Full text and rfc822 format available.

Message #45 received at 587727@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: daniel@debian.org
Cc: 587727@bugs.debian.org
Subject: Re: Bug#587727: syslinux: please add support for other boot options than local linux kernels to extlinux-update
Date: Tue, 06 Jul 2010 11:21:55 +0200
[Message part 1 (text/plain, inline)]
Am 06.07.2010 00:42, schrieb Daniel Baumann:
> sounds mostly fine, i'll have a look to implement that. there are a
> couple of things to consider on the way, so it could take some days,
> once i've something ready, i'll ping you again, so you can test
> snapshots from syslinux.d-m.o.

Please find my first attempt attached. The files in the tarball need 
to get extracted into /etc/extlinux.d and the extlinux-update script 
into /usr/sbin, of course.

It's still a draft and it is only meant as a source of inspiration, 
but... it works!

It adds support for modularized configuration files in /etc/extlinux.d 
that follow a certain name scheme. The name space 0[0-9]_* is reserved 
for configuration files that do not output anything that needs to be 
added to extlinux.conf. The name space 1[0-9]_* is reserved for 
primary kernels that appear in the top-level menu. The remaining name 
space [2-9][0-9] is for additional kernel images. I have already added 
support for HDT, Memtest86/86+ and Invaders. Support for chainloading 
foreign OSes via os-prober could be added easily. Furthermore I have 
added support for the generic vesa menu by setting 
EXTLINUX_THEME="vesamenu". Just as everything else in this tarball, it 
is still a big hack with rough edges.

Again, if you don't like it, simply drop it. I just wanted to try 
something out and it actually works fine for me. If anything is 
unclear, don't hesitate to ask, I'll be glad about suggestions and 
feedback.

 - Fabian
[extlinux-update_rewrite_rev1.tar.gz (application/gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#587727; Package syslinux. (Wed, 28 Jul 2010 13:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Wed, 28 Jul 2010 13:48:03 GMT) Full text and rfc822 format available.

Message #50 received at 587727@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: daniel@debian.org
Cc: 587727@bugs.debian.org
Subject: Re: Bug#587727: syslinux: please add support for other boot options than local linux kernels to extlinux-update
Date: Wed, 28 Jul 2010 15:47:42 +0200
Am 06.07.2010 00:42, schrieb Daniel Baumann:
> sounds mostly fine, i'll have a look to implement that. there are a
> couple of things to consider on the way, so it could take some days,
> once i've something ready, i'll ping you again, so you can test
> snapshots from syslinux.d-m.o.

Any progress ?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#587727; Package syslinux. (Wed, 28 Jul 2010 18:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Wed, 28 Jul 2010 18:18:03 GMT) Full text and rfc822 format available.

Message #55 received at 587727@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 587727@bugs.debian.org
Subject: Re: Bug#587727: syslinux: please add support for other boot options than local linux kernels to extlinux-update
Date: Wed, 28 Jul 2010 20:15:14 +0200
On 07/28/2010 03:47 PM, Fabian Greffrath wrote:
> Any progress ?

yes.. the next upload that will go in after the previous migrated to
testing will have it.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#587727; Package syslinux. (Wed, 25 Aug 2010 14:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Wed, 25 Aug 2010 14:39:03 GMT) Full text and rfc822 format available.

Message #60 received at 587727@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: daniel@debian.org
Cc: 587727@bugs.debian.org
Subject: Re: Bug#587727: syslinux: please add support for other boot options than local linux kernels to extlinux-update
Date: Wed, 25 Aug 2010 16:36:48 +0200
Am 28.07.2010 20:15, schrieb Daniel Baumann:
> yes.. the next upload that will go in after the previous migrated to
> testing will have it.

Well, it didn't and now squeeze is frozen. Maybe an upload to 
experimental is suitable?

 - Fabian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#587727; Package syslinux. (Fri, 07 Jan 2011 13:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Fri, 07 Jan 2011 13:51:03 GMT) Full text and rfc822 format available.

Message #65 received at 587727@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: daniel@debian.org
Cc: 587727@bugs.debian.org
Subject: Re: Bug#587727: syslinux: please add support for other boot options than local linux kernels to extlinux-update
Date: Fri, 07 Jan 2011 14:42:42 +0100
Hi Daniel,

Am 06.07.2010 00:42, schrieb Daniel Baumann:
> sounds mostly fine, i'll have a look to implement that. there are a
> couple of things to consider on the way, so it could take some days,
> once i've something ready, i'll ping you again, so you can test
> snapshots from syslinux.d-m.o.

i've just read that you added support for booting floppy and CD images 
via memdisk from the extlinux menu. While this is cool, I wonder if 
you want to stay with the monolithic extlinux-update script in the 
long term or if you are going to switch to an extendable collection of 
scripts as grub2 has (I have already sent a proposal for this)?

I'd like to add support for other OSes that os-prober detects and for 
packages like grub-invaders and memtest86 (the latter all include 
bundled script that hook into update-grub).

BTW, I think that the detected floppy and CD images should appear in a 
separate submenu and not in the top level menu.

Cheers,
Fabian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#587727; Package syslinux. (Fri, 07 Jan 2011 13:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Fri, 07 Jan 2011 13:57:03 GMT) Full text and rfc822 format available.

Message #70 received at 587727@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 587727@bugs.debian.org
Subject: Re: Bug#587727: syslinux: please add support for other boot options than local linux kernels to extlinux-update
Date: Fri, 07 Jan 2011 14:55:33 +0100
On 01/07/2011 02:42 PM, Fabian Greffrath wrote:
> I wonder if you
> want to stay with the monolithic extlinux-update script in the long term
> or if you are going to switch to an extendable collection of scripts as
> grub2 has (I have already sent a proposal for this)?

switch is on the plan, but didn't got arround to it just yet. thanks for 
your initial work on it, unfortunately, it takes some time to get 
through a huge thing to see that it doesn't break with existing 
assumptions etc, which is why i haven't done it yet.

also, it would require a rebase on the current stuff :(

hope to get on to it once squeeze is out. if you have time for it 
before, you're most welcome. easiest would be if you provide a series of 
small commits ontop of current git, so that each patch can be easily be 
reviewed and tested.

> I'd like to add support for other OSes that os-prober detects and for
> packages like grub-invaders and memtest86 (the latter all include
> bundled script that hook into update-grub).

os-proper support is quite high on the todo, as it's required for 
inclusion of syslinux-installer udeb into d-i.

> BTW, I think that the detected floppy and CD images should appear in a
> separate submenu and not in the top level menu.

well, the current menues are not that good anyway, yet..

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#587727; Package syslinux. (Mon, 10 Jan 2011 09:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Mon, 10 Jan 2011 09:18:05 GMT) Full text and rfc822 format available.

Message #75 received at 587727@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: daniel@debian.org
Cc: 587727@bugs.debian.org
Subject: Re: Bug#587727: syslinux: please add support for other boot options than local linux kernels to extlinux-update
Date: Mon, 10 Jan 2011 10:19:13 +0100
Am 07.01.2011 14:55, schrieb Daniel Baumann:
> hope to get on to it once squeeze is out. if you have time for it
> before, you're most welcome. easiest would be if you provide a series
> of small commits ontop of current git, so that each patch can be
> easily be reviewed and tested.

Well, it's not so easy to divide the procedure into single logical 
steps and commit them one by one... ;)

What I've done is simply this (from memory):
- Divide the current extlinux-update script into different logical 
sections and store each of them in a separate script under 
/etc/extlinux (or similar). The scripts' file names get prefixed with 
an index to make sure they are executed in the right order.
- The extlinux-update script is turned into a stub that only invokes 
all the scripts found in /etc/extlinux in the right order (as given by 
the prefixes).
- Bonus points for putting menu entries into different sub menus based 
on their prefix number.

> os-proper support is quite high on the todo, as it's required for
> inclusion of syslinux-installer udeb into d-i.

I think I could do this, as the initial implementation in the grub2 
packages is also from me. But how do you tell extlinux to chainload 
from another partition? Do we have to copy the corresponfing boot 
sector into /boot/extlinux?

> well, the current menues are not that good anyway, yet..

In my opinion, native kernels (i.e. Debian Linux or kfreebsd kernels) 
should appear in the top level menu. Then there should be sub menus 
for Utilities (i.e. memtest86, invaders, hdt, ...), Images (everything 
of .iso or .img type) and Other OSes (based on os-prober output). But 
that's details...

 - Fabian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#587727; Package syslinux. (Mon, 10 Jan 2011 09:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Mon, 10 Jan 2011 09:36:03 GMT) Full text and rfc822 format available.

Message #80 received at 587727@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 587727@bugs.debian.org
Subject: Re: Bug#587727: syslinux: please add support for other boot options than local linux kernels to extlinux-update
Date: Mon, 10 Jan 2011 10:32:20 +0100
On 01/10/2011 10:19 AM, Fabian Greffrath wrote:
>> os-proper support is quite high on the todo, as it's required for
>> inclusion of syslinux-installer udeb into d-i.
>
> I think I could do this, as the initial implementation in the grub2
> packages is also from me.

having no clue about os-proper, that would be appreciated.

> But how do you tell extlinux to chainload from
> another partition? Do we have to copy the corresponfing boot sector into
> /boot/extlinux?

syslinux/extlinux can use chain.c32 to chainload other partitions directly.

>> well, the current menues are not that good anyway, yet..
>
> In my opinion, native kernels (i.e. Debian Linux or kfreebsd kernels)
> should appear in the top level menu. Then there should be sub menus for
> Utilities (i.e. memtest86, invaders, hdt, ...), Images (everything of
> .iso or .img type) and Other OSes (based on os-prober output). But
> that's details...

...and belongs to syslinux-themes-debian entirely ;)

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#587727; Package syslinux. (Mon, 10 Jan 2011 09:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Mon, 10 Jan 2011 09:51:10 GMT) Full text and rfc822 format available.

Message #85 received at 587727@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: daniel@debian.org
Cc: 587727@bugs.debian.org
Subject: Re: Bug#587727: syslinux: please add support for other boot options than local linux kernels to extlinux-update
Date: Mon, 10 Jan 2011 10:49:35 +0100
Am 10.01.2011 10:32, schrieb Daniel Baumann:
> having no clue about os-proper, that would be appreciated.

I guess I'll have a look at it as soon as I have an own computer again 
(currently only my wife's Laptop and my PC at work, both running Windows).

> syslinux/extlinux can use chain.c32 to chainload other partitions
> directly.

But does it also understand Linux device names, like sda1? AFAIUI 
these are not even consistent within Linux, depending on the order of 
modules loaded at boot, etc.

> ...and belongs to syslinux-themes-debian entirely ;)

So you think the general menu structure is a specific theme's 
business? With what kind of menu will you end up when no 
syslinux-themes-* package is installed?

 - Fabian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#587727; Package syslinux. (Mon, 10 Jan 2011 10:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Mon, 10 Jan 2011 10:03:03 GMT) Full text and rfc822 format available.

Message #90 received at 587727@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 587727@bugs.debian.org
Subject: Re: Bug#587727: syslinux: please add support for other boot options than local linux kernels to extlinux-update
Date: Mon, 10 Jan 2011 11:02:02 +0100
On 01/10/2011 10:49 AM, Fabian Greffrath wrote:
> But does it also understand Linux device names, like sda1? AFAIUI these
> are not even consistent within Linux, depending on the order of modules
> loaded at boot, etc.

it uses a format like this:

label other-os
    kernel chain.c32
    append hd1 2

('hd 1 2' would be equivalent to sdb3)

> So you think the general menu structure is a specific theme's business?

yes. extlinux-update shall only take care about populating the kernel 
entries in linux.cfg (and the like).

> With what kind of menu will you end up when no syslinux-themes-* package
> is installed?

none. you just get a prompt.

i think that boot.txt should be pimped a bit (and, if 
EXTLINUX_QUIET=false (default), then should contain a list of kernels -> 
labels).

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#587727; Package syslinux. (Tue, 11 Jan 2011 17:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Tue, 11 Jan 2011 17:39:03 GMT) Full text and rfc822 format available.

Message #95 received at 587727@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 587727@bugs.debian.org
Subject: Re: improving extlinux update scripts
Date: Tue, 11 Jan 2011 18:35:54 +0100
Daniel Baumann <daniel@debian.org> wrote:
> ('hd 1 2' would be equivalent to sdb3)

i was wrong, 'hd 1 2' would be equivalent to sdb2, 'hd 1 0' would be the 
MBR of sdb. thanks Gene for pointing it out.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#587727; Package syslinux. (Tue, 18 Jan 2011 09:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Tue, 18 Jan 2011 09:15:03 GMT) Full text and rfc822 format available.

Message #100 received at 587727@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: daniel@debian.org
Cc: 587727@bugs.debian.org, control <control@bugs.debian.org>
Subject: Re: improving extlinux update scripts
Date: Tue, 18 Jan 2011 10:16:47 +0100
[Message part 1 (text/plain, inline)]
tags 587727 + patch
thanks

Am 11.01.2011 18:35, schrieb Daniel Baumann:
> i was wrong, 'hd 1 2' would be equivalent to sdb2, 'hd 1 0' would be
> the MBR of sdb. thanks Gene for pointing it out.

Please find a patch attached.

 - Fabian
[syslinux-osprober.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Fabian Greffrath <fabian@greffrath.com> to control@bugs.debian.org. (Tue, 18 Jan 2011 09:15:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#587727; Package syslinux. (Tue, 18 Jan 2011 17:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Tue, 18 Jan 2011 17:00:03 GMT) Full text and rfc822 format available.

Message #107 received at 587727@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 587727@bugs.debian.org
Subject: Re: improving extlinux update scripts
Date: Tue, 18 Jan 2011 17:56:35 +0100
On 01/18/2011 10:16 AM, Fabian Greffrath wrote:
> Please find a patch attached.

thanks. i'll be changing it a bit wrt/ variables (e.g. you've used
_DEVICE which is already used somewhere else), will upload later today.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#587727; Package syslinux. (Wed, 19 Jan 2011 07:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Wed, 19 Jan 2011 07:51:06 GMT) Full text and rfc822 format available.

Message #112 received at 587727@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: daniel@debian.org
Cc: 587727@bugs.debian.org
Subject: Re: improving extlinux update scripts
Date: Wed, 19 Jan 2011 08:49:27 +0100
Am 18.01.2011 17:56, schrieb Daniel Baumann:
> thanks. i'll be changing it a bit wrt/ variables (e.g. you've used
> _DEVICE which is already used somewhere else), will upload later today.

Yes sure, the patch was intended as a draft, please feel free to 
change what you think needs change.

However, the new package revision should either (1) recommend 
os-prober, or (2) disable parsing os-prober output by default or (3) 
not error out when os-prober could not be found and print a warning 
instead.

 - Fabian




Disconnected #587727 from all other report(s). Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 05 Feb 2011 05:15:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'please add /etc/extlinux.d for extlinux-update' from 'improving extlinux update scripts' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 05 Feb 2011 05:21:06 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 05 Feb 2011 05:21:06 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 05 Feb 2011 05:21:07 GMT) Full text and rfc822 format available.

Marked as fixed in versions 3:6.00~pre4+dfsg-6. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 27 May 2013 15:36:08 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 27 May 2013 15:36:09 GMT) Full text and rfc822 format available.

Notification sent to Fabian Greffrath <fabian@greffrath.com>:
Bug acknowledged by developer. (Mon, 27 May 2013 15:36:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:52:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.